Bug 204619 - [NEW PORT] www/sogo-activesync: Slave port for the ACTIVESYNC option in www/sogo
Summary: [NEW PORT] www/sogo-activesync: Slave port for the ACTIVESYNC option in www/sogo
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords: easy, feature, patch
Depends on: 204617 204618
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 02:45 UTC by Euan Thoms
Modified: 2015-11-24 14:50 UTC (History)
0 users

See Also:


Attachments
shar file for www/sogo-activesync (1.05 KB, text/plain)
2015-11-17 02:45 UTC, Euan Thoms
no flags Details
shar file for www/sogo-activesync (734 bytes, text/plain)
2015-11-18 05:26 UTC, Euan Thoms
no flags Details
Poudriere testport log on 10.1 RELEASE amd64 (728.31 KB, text/plain)
2015-11-18 09:56 UTC, Euan Thoms
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Euan Thoms 2015-11-17 02:45:52 UTC
Created attachment 163227 [details]
shar file for www/sogo-activesync

As the title says, it's a slave port for the ACTIVESYNC option in www/sogo. 

Since there is no section in the porters handbook for slave ports. I have tried my best to guess what is required form some existing ports like www/apache22-event-mpm and www/php55-tidy.

NOTE: devel/sope and www/sogo (existing ports) should be committed at the same time as this. Please somebody create the blocks, I don't know how to yet.

devel/sope PR no.: 204617
www/sogo PR no.: 204618
Comment 1 Euan Thoms 2015-11-17 02:48:52 UTC
Related ports (for aligning the commits):

devel/sope PR no.: 204617
www/sogo PR no.: 204618
www/sogo-activesync PR no.: 204619
Comment 2 Dmitry Marakasov freebsd_committer 2015-11-17 14:20:25 UTC
You don't need to redefine LICENSE here. Also you should probably use OPTIONS_SLAVE instead of OPTIONS_DEFINE.
Comment 3 Euan Thoms 2015-11-18 03:07:15 UTC
(In reply to Dmitry Marakasov from comment #2)

Initially I didn't add the LICENSE, but "portlint -AC" complained that the following line was in the LICENSE section. So I think portlint is not fully aware of slave port syntax. I will remove it.

I'll look into the OPTIONS_SLAVE. I couldn't find any documentation on slave ports, nothing in the porters handbook. So, I tried to reverse engineer from apache22-event-mpm and php55-tiny. I'm not sure they are slave ports or varients.

I'll try to find a port that uses OPTIONS_SLAVE, to see how it's done.
Comment 4 Euan Thoms 2015-11-18 05:26:53 UTC
Created attachment 163278 [details]
shar file for www/sogo-activesync

Updated shar after improvments as per Dmitrys' suggestions.
Comment 5 Euan Thoms 2015-11-18 09:56:43 UTC
Created attachment 163285 [details]
Poudriere testport log on 10.1 RELEASE amd64
Comment 6 commit-hook freebsd_committer 2015-11-24 13:34:52 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Nov 24 13:33:57 UTC 2015
New revision: 402361
URL: https://svnweb.freebsd.org/changeset/ports/402361

Log:
  ActiveSync is an extension to SOGo that provides support
  for the ActiveSync protocol to clients that supports
  it.

  WWW: http://www.sogo.nu/

  This is slave port for www/sogo, which enables ACTIVESYNC option

  PR:		204619
  Submitted by:	euan@potensol.com

Changes:
  head/www/Makefile
  head/www/sogo-activesync/
  head/www/sogo-activesync/Makefile
  head/www/sogo-activesync/pkg-descr